%global momorel 1

Summary:	Remote control through bluetooth or IR connection
Name:		anyremote
Version:	4.18.1
Release:	%{momorel}m%{?dist}
License:	GPLv2+
URL:		http://anyremote.sourceforge.net/
Group:		Applications/System
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	anyremote-data
Requires:	bc
BuildRequires:	bluez-libs-devel >= 4.0
BuildRequires:	libX11-devel
BuildRequires:	libXtst-devel
BuildRequires:	xorg-x11-proto-devel

%description
The overall goal of this project is to provide remote control service on Linux 
through Bluetooth, InfraRed, Wi-Fi or TCP/IP connection.
anyRemote supports wide range of modern cell phones like Nokia, SonyEricsson, 
Motorola and others. 

%package data
Summary: Configuration files for anyRemote
Group: Applications/System

%description data
Configuration files for anyRemote

%package doc
Summary: Documentation for anyRemote
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for anyRemote

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/anyremote
%{_mandir}/man1/anyremote.1*

%files data
%defattr(-,root,root)
%{_datadir}/anyremote

%files doc
%defattr(-,root,root)
%{_docdir}/anyremote

%changelog
* Sat May 16 2009 NARITA Kichi <pulsar@momonga-linux.org>
- (4.18.1-1m)
- update to 4.18.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.13-2m)
- rebuild against rpm-4.6

* Fri Dec 19 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (4.13-1m)
- update 4.13

* Tue Jun  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.6-1m)
- initial package for kanyremote-4.9
